# Class LabelsRenderer

java.lang.Object
org.jmol.render.ShapeRenderer
org.jmol.render.FontLineShapeRenderer
org.jmol.render.LabelsRenderer

Direct Known Subclasses:
  `EchoRenderer, MeasuresRenderer`

public class LabelsRenderer extends FontLineShapeRenderer

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`ascent`
`protected Point3fi`
`atomPt`
`protected short`
`bgcolix`
`protected int`
`descent`
`protected short`
`labelColix`
`protected int`
`mode`
`protected P3`
`pTemp`
`protected float`
`sppa`
`protected int`
`textAlign`
`protected float[]`
`xy`
`protected int`
`zSlab`

### Fields inherited from class FontLineShapeRenderer

`asLineOnly, colixA, colixB, dashDots, dashes, dotsOrDashes, draw000, endcap, font3d, fourdots, hDashes, imageFontScaling, ndots, pointT, pointT2, pointT3, pt0, pt0i, pt1, pt2i, pymoldashes, s1, s2, sixdots, tickA, tickAs, tickB, tickBs, tickInfo, twodots, vectorT, vectorT2, vectorT3, width`

### Fields inherited from class ShapeRenderer

`colix, exportType, flags, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

## Constructor Summary

Constructors
Constructor
Description
`LabelsRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`render()`
`protected Text`
`renderLabelOrMeasure(Text text, String label)`
`protected boolean`
`renderText(Text text, P3i pTemp, short pointerColix, int mode)`
`protected void`
`setRenderVars()`

### Methods inherited from class FontLineShapeRenderer

`checkTickTemps, drawDashedCylinder, drawLine, drawLine2, drawString, drawTicks, fillCylinder, getDiameter, renderLine`

### Methods inherited from class ShapeRenderer

`initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ascent

protected int ascent

### descent

protected int descent

### sppa

protected float sppa

### xy

protected float[] xy

### pTemp

protected P3 pTemp

### bgcolix

protected short bgcolix

### labelColix

protected short labelColix

### atomPt

protected Point3fi atomPt

### textAlign

protected int textAlign

### zSlab

protected int zSlab

### mode

protected int mode

## Constructor Details

### LabelsRenderer

public LabelsRenderer()

## Method Details

### setRenderVars

protected void setRenderVars()

### render

protected boolean render()

Specified by:
  `render` in class `ShapeRenderer`

### renderLabelOrMeasure

protected Text renderLabelOrMeasure(Text text, String label)

### renderText

protected boolean renderText(Text text, P3i pTemp, short pointerColix, int mode)